impl f64 {
    #[arcis_circuit = "min"]
    fn min(self, other: f64) -> f64 {}
    #[arcis_circuit = "max"]
    fn max(self, other: f64) -> f64 {}
    #[arcis_circuit = "float_exp"]
    fn exp(self) -> f64 {}
    #[arcis_circuit = "float_exp2"]
    fn exp2(self) -> f64 {}
    #[arcis_circuit = "float_ln"]
    fn ln(self) -> f64 {}
    #[arcis_circuit = "float_log2"]
    fn log2(self) -> f64 {}
    #[arcis_circuit = "float_sqrt"]
    fn sqrt(self) -> f64 {}
    fn abs(self) -> f64 {
        self.max(-self)
    }
}
